<?php
/**
 * Plugin Name: Sityn Image Optimizer
 * Description: Optimizes image uploads in the browser before WordPress receives them.
 * Version: 1.0.0
 * Author: aerqzs
 * Author URI:  https://sityn.com
 * License: GPLv2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: sityn-image-optimizer
 * Requires at least: 6.0
 * Requires PHP: 7.4
 *
 * @package Sityn_Image_Optimizer
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

define( 'SITYN_IMAGE_OPTIMIZER_VERSION', '1.0.0' );
define( 'SITYN_IMAGE_OPTIMIZER_FILE', __FILE__ );
define( 'SITYN_IMAGE_OPTIMIZER_DIR', plugin_dir_path( __FILE__ ) );
define( 'SITYN_IMAGE_OPTIMIZER_URL', plugin_dir_url( __FILE__ ) );

require_once SITYN_IMAGE_OPTIMIZER_DIR . 'includes/class-sityn-image-optimizer-plugin.php';

add_action( 'plugins_loaded', array( 'Sityn_Image_Optimizer_Plugin', 'init' ) );
